---

# .pre-commit-config.yaml
# ========================
#
# pre-commit clean
# pre-commit install
# pre-commit install-hooks
#
# precommit hooks installation
#
# - pre-commit autoupdate
#
# - pre-commit run black
#
# continuous integration
# ======================
#
# - pre-commit run --all-files
#

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.5.0
    hooks:
    - id: trailing-whitespace
    - id: end-of-file-fixer
    - id: check-yaml
    - id: check-json
    - id: fix-encoding-pragma
      args: ['--remove']
    - id: forbid-new-submodules
    - id: mixed-line-ending
      args: ['--fix=lf']
      description: Forces to replace line ending by the UNIX 'lf' character.
    # - id: pretty-format-json
    #   args: ['--no-sort-keys']
    - id: check-added-large-files
      args: ['--maxkb=30000']
    - id: no-commit-to-branch
      args: [--branch, staging]

  - repo: https://github.com/ambv/black
    rev: 23.11.0
    hooks:
    - id: black
      language_version: python3.11

  - repo: https://github.com/asottile/reorder_python_imports
    rev: v3.12.0
    hooks:
      - id: reorder-python-imports

  - repo: https://github.com/hadialqattan/pycln
    rev: v2.4.0 # Possible releases: https://github.com/hadialqattan/pycln/tags
    hooks:
      - id: pycln
        args: [--config=pyproject.toml]
